QGIS Application - Bug report #21100

field calculator doesn't load values for gpkg containing blank spaces or n dash (hypen) in field
names

2019-01-25 07:19 PM - Martina Savarese

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Vectors

Affected QGIS version:3.5(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28918
Description

Hi,

field calculator, expression based filter and query builder don't load values for gpkg containing blank spaces or n dash (hyphen) in field
names.

Furthermore the categorized renderer on these fields results in a simple marker renderer (see also #14737)

Associated revisions

Revision b5142664 - 2019-02-02 11:45 AM - Alessandro Pasotti

Quote field name identifiers in ORDER BY and MAX/MIN queries

Fixes #21100

History

#1 - 2019-01-25 08:10 PM - Giovanni Manghi
- Category changed from Unknown to Vectors
- Status changed from Open to Feedback

- Operating System deleted (windows 10 64bit)

Is the symbology problem also confirmed on 3.4.4?

#2 - 2019-01-25 08:36 PM - Martina Savarese
- File Cat_3.PNG added
- File Cat_2.PNG added

Yes, for both fields: the one containing blank space and the one containing n dash (hypen) in field names. For those the resulting style is the same as single
symbol

#3 - 2019-01-25 10:06 PM - Alexis Roy-L

This also seems to happen with Spatialite (as they are all based on sqlite) and exporting such layers to a MSSQL database toggle the "Import was
succesful" message but the layer does not appear in the browser panel after refresh.
Memory layer and shapefiles were ok.

But the databases are in the SQL database itself but are not displayed in the browser after a restart.

This might be related to how SQL are handled by QGIS.

Hope this helps.

#4 - 2019-01-26 10:28 PM - Jiirgen Fischer

- Description updated

#5 - 2019-01-29 10:05 PM - Alessandro Pasotti
- Assignee set to Alessandro Pasotti

#6 - 2019-02-02 11:53 AM - Alessandro Pasotti

- Affected QGIS version changed from 3.4.4 to 3.5(master)
- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/9071

#7 - 2019-02-04 11:00 AM - Alessandro Pasotti
- % Done changed from 0 to 100
- Status changed from Feedback to Closed

Applied in changeset commit:qgis|b51426640dd61cfObb18ebad680c96ac16f9b435.

Files

prova2.gpkg 96 KB 2019-01-25 Martina Savarese
field_d.PNG 69.2 KB 2019-01-25 Martina Savarese
field f.PNG 62.5 KB 2019-01-25 Martina Savarese
Cat_2.PNG 25.8 KB 2019-01-25 Martina Savarese
Cat_3.PNG 24.8 KB 2019-01-25 Martina Savarese
